Anaconda Navigator Cannot Open

Asked 2 months ago, Updated 2 months ago, 6 views

Anaconda Navigator no longer starts.
Even if you click on the icon, it disappears as soon as the sand clock comes out.
The operating system is Windows and the Anaconda Navigator version is up to date.
I look forward to hearing from you.

Below is the log I tried with Anaconda Prompt.

 (base) C:\Users\owner>anaconda navigator --reset
usage: anaconda [-h][--disable-ssl-warnings][--show-traceback][-v][-q]
                [-V] [-t TOKEN] [-sITE]
                ...
anaconda: error: argument: invalid choice: 'navigator' (choose from 'auth', 'label', 'channel', 'config', 'copy', 'download', 'groups', 'login', 'login', 'logout', 'move', 'notebook', 'package', 'remove', 'searchoad', 'show')

(base) C:\Users\owner>

I tried with a hyphen, but it didn't work.

 (base) C:\Users\owner>anaconda-navigator --reset
Traceback (most recent call last):
  File "C:\Users\owner\Anaconda3\lib\site-packages\qtpy\_init__.py", line 166, in<module>
    from PySide import__version__as PYSIDE_VERSION# analysis:ignore
ModuleNotFoundError: No module named 'PySide'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\owner\Anaconda3\Scripts\anaconda-navigator-script.py", line 6, in <module>
    from anaconda_navigator.app.main import main
  File "C:\Users\owner\Anaconda3\lib\site-packages\anaconda_navigator\app\main.py", line 22, in <module>
    from anaconda_navigator.utils.conda import is_conda_available
  File "C:\Users\owner\Anaconda3\lib\site-packages\anaconda_navigator\utils\_init__.py", line 15, in<module>
    from qtpy.QtGui import QIcon
  File "C:\Users\owner\Anaconda3\lib\site-packages\qtpy\_init__.py", line 172, in<module>
    raise PythonQtError('No Qt bindings could be found')
qtpy.PythonQtError: No Qt bindings could be found

(base) C:\Users\owner>

##Additional

全て Everything has been updated.
②After that, I tried reset, but I got the same error as before.
③When I typed anaconda-navigator command, I got the following error:

 (base) C:\Users\owner>anaconda-navigator
Traceback (most recent call last):
  File "C:\Users\owner\Anaconda3\lib\site-packages\qtpy\_init__.py", line 199, in<module>
    from PySide import__version__as PYSIDE_VERSION# analysis:ignore
ModuleNotFoundError: No module named 'PySide'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\owner\Anaconda3\Scripts\anaconda-navigator-script.py", line 6, in <module>
    from anaconda_navigator.app.main import main
  File "C:\Users\owner\Anaconda3\lib\site-packages\anaconda_navigator\app\main.py", line 22, in <module>
    from anaconda_navigator.utils.conda import is_conda_available
  File "C:\Users\owner\Anaconda3\lib\site-packages\anaconda_navigator\utils\_init__.py", line 15, in<module>
    from qtpy.QtGui import QIcon
  File "C:\Users\owner\Anaconda3\lib\site-packages\qtpy\_init__.py", line 205, in<module>
    raise PythonQtError('No Qt bindings could be found')
qtpy.PythonQtError: No Qt bindings could be found

c When I ran the conda list anaconda-navigator, it looked like the following

 (base) C:\Users\owner>conda list anaconda-navigator
# packages in environment at C:\Users\owner\Anaconda3:
#
# Name Version Build Channel
anaconda-navigator 1.9.6py36_0

cWhen I ran the conda list qt, it looked like the following

 (base) C:\Users\owner>conda list qt
# packages in environment at C:\Users\owner\Anaconda3:
#
# Name Version Build Channel
pyqt5.9.2py36h6538335_2
qt5.9.7 vc14h73c81de_0
qtawsome 0.5.3py36_0
qtconsole 4.4.3py36_0
qtpy1.5.2py36_0

cWhen I ran conda list pyside, the following is what happened:

 (base) C:\Users\owner>conda list pyside
# packages in environment at C:\Users\owner\Anaconda3:
#
# Name Version Build Channel

python python3 anaconda

2022-09-30 13:52

1 Answers

anaconda-navigator instead of anaconda-navigator.

This error may occur when the version of the dependent library used by Anaconda Navigator is not successful.If you look at the simultaneous error message No Qt bindings could be found, it is possible that the library version called Qt, which manages the GUI, has aged out at some point and is no longer available from Anaconda Navigator.For example, if you install PySide from conda-forge, you will get this error because Qt4 is installed instead of Qt5.

So first try typing the conda info command on the Anaconda Prompt to see the version.If it is old, update it with conda update.If it's too much trouble, you can upgrade all libraries at once with the following commands:

conda update conda
conda update --all

Similar errors appear on the Anaconda Navigator bug reporting page with Two https://github.com/ContinuumIO/anaconda-issues/issues/10118"rel="nofollow noreferrer"> is also posted, so it seems to be an error that many people fall in love with.If the above command does not solve this problem, try searching the bug report page for other solutions.


2022-09-30 13:52

If you have any answers or tips


© 2022 OneMinuteCode. All rights reserved.